io_closeonexec(3)

NAME
io_closeonexec - mark a file descriptor non-inheritable

SYNTAX
#include <libowfat/io.h> void io_closeonexec(int64 fd);

DESCRIPTION
io_closeonexec marks a file descriptor non-inheritable. It will be automatically closed if the process executes a different one. The descriptor will not be automatically closed when you fork() a new child process, though.

SEE ALSO
io_wait(3), io_canwrite(3)